Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
- DocComments
- NodePrinters
- Positions
- Printers
- TreeBrowsers
- TreeDSL
- TreeGen
- TreeInfo
- Trees

t

scala.tools.nsc.ast

# Positions 

###

#### trait Positions extends reflect.internal.Positions

Self Type
  Global
Source
  Positions.scala

Linear Supertypes
reflect.internal.Positions, reflect.api.Positions, AnyRef, Any
Known Subclasses
Global, compiler, DocParser, ScaladocGlobal, ScaladocGlobalTrait, Global, ReplGlobal, ReflectGlobal, RangePositions
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Positions
2. Positions
3. Positions
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class DefaultPosAssigner extends reflect.internal.SymbolTable.Traverser with reflect.internal.SymbolTable.PosAssigner
   Attributes
     protected
   Definition Classes
     Positions
2.  class Locator extends reflect.internal.SymbolTable.Traverser
   Definition Classes
     Positions
3.  trait PosAssigner extends reflect.internal.SymbolTable.Traverser
   Definition Classes
     Positions
4.  type Position = reflect.internal.util.Position
   Definition Classes
     Positions → Positions
5.  case class Range extends Product with Serializable
   Definition Classes
     Positions
6.  class TypedLocator extends reflect.internal.SymbolTable.Locator
   Definition Classes
     Positions
7.  class ValidateException extends Exception
   Definition Classes
     Positions
8.  class ValidatingPosAssigner extends Global.Traverser with Global.PosAssigner

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Positions to any2stringadd[Positions] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Positions, B)
   Implicit
     This member is added by an implicit conversion from Positions to ArrowAssoc[Positions] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val NoPosition: reflect.internal.util.NoPosition.type
   Definition Classes
     Positions → Positions
7.  implicit val PositionTag: ClassTag[Global.Position]
   Definition Classes
     Positions
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def atPos[T <: Global.Tree](pos: Global.Position)(tree: T): T
   Definition Classes
     Positions → Positions
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def ensureNonOverlapping(tree: Global.Tree, others: List[Global.Tree], focus: Boolean): Unit
    Definition Classes
      Positions
12.  def ensureNonOverlapping(tree: Global.Tree, others: List[Global.Tree]): Unit
    Definition Classes
      Positions
13.  def ensuring(cond: (Positions) ⇒ Boolean, msg: ⇒ Any): Positions
    Implicit
      This member is added by an implicit conversion from Positions to Ensuring[Positions] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (Positions) ⇒ Boolean): Positions
    Implicit
      This member is added by an implicit conversion from Positions to Ensuring[Positions] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: ⇒ Any): Positions
    Implicit
      This member is added by an implicit conversion from Positions to Ensuring[Positions] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): Positions
    Implicit
      This member is added by an implicit conversion from Positions to Ensuring[Positions] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def findOverlapping(cts: List[Global.Tree]): List[(Global.Tree, Global.Tree)]
    Definition Classes
      Positions
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Positions to StringFormat[Positions] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
28.  lazy val posAssigner: Global.PosAssigner
    Attributes
      protected[this]
    Definition Classes
      Positions → Positions
29.  def rangePos(source: SourceFile, start: Int, point: Int, end: Int): Global.Position
    Definition Classes
      Positions
30.  def solidDescendants(tree: Global.Tree): List[Global.Tree]
    Definition Classes
      Positions
31.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  def useOffsetPositions: Boolean
    Definition Classes
      Positions
34.  def validatePositions(tree: Global.Tree): Unit
    Definition Classes
      Positions
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  def wrappingPos(trees: List[Global.Tree]): Global.Position
    Definition Classes
      Positions → Positions
39.  def wrappingPos(default: Global.Position, trees: List[Global.Tree], focus: Boolean): Global.Position
    Definition Classes
      Positions
40.  def wrappingPos(default: Global.Position, trees: List[Global.Tree]): Global.Position
    Definition Classes
      Positions → Positions
41.  def →[B](y: B): (Positions, B)
    Implicit
      This member is added by an implicit conversion from Positions to ArrowAssoc[Positions] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from reflect.internal.Positions

### Inherited from reflect.api.Positions

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Positions to any2stringadd[Positions]

### Inherited by implicit conversion StringFormat from Positions to StringFormat[Positions]

### Inherited by implicit conversion Ensuring from Positions to Ensuring[Positions]

### Inherited by implicit conversion ArrowAssoc from Positions to ArrowAssoc[Positions]

### Ungrouped